运行Vue时出错 Error: @vitejs/plugin-vue requires vue (>=3.2.13)_error: @vitejs/plugin-vue requires vue (>=3.2.13) -程序员宅基地

技术标签: 前端  vue.js  

Error: @vitejs/plugin-vue requires vue (>=3.2.13) or @vue/compiler-sfc to be present in the dependency tree.

错误:@vitejs/plugin-vue需要vue(>=3.2.13)或@vue/compiler-sfc存在于依赖树中。

问题描述:npm run serve 无法运行项目

> vue-cli-service serve
 INFO  Starting development server...
 ERROR  Error: @vitejs/plugin-vue requires vue (>=3.2.13) or @vue/compiler-sfc to be present in the dependency tree.    
Error: @vitejs/plugin-vue requires vue (>=3.2.13) or @vue/compiler-sfc to be present in the dependency tree.
    at Object.<anonymous> (E:\Code\Vue\WebApiDemo\web\node_modules\vue-loader\dist\compiler.js:14:15)
    at Module._compile (internal/modules/cjs/loader.js:1015:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1035:10)
    at Module.load (internal/modules/cjs/loader.js:879:32)
    at Function.Module._load (internal/modules/cjs/loader.js:724:14)
    at Module.require (internal/modules/cjs/loader.js:903:19)
    at require (internal/modules/cjs/helpers.js:74:18)
    at Object.<anonymous> (E:\Code\Vue\WebApiDemo\web\node_modules\vue-loader\dist\index.js:29:20)
    at Module._compile (internal/modules/cjs/loader.js:1015:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1035:10)
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! [email protected] serve: `vue-cli-service serve`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the [email protected] serve script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\xxx\AppData\Roaming\npm-cache\_logs\2023-07-18T14_21_02_566Z-debug.log

尝试升级解决:Vue版本过低,尝试下载更高版本

npm i [email protected]

问题解决

PS E:\Code\Vue\WebApiDemo\web> npm run serve
> [email protected] serve E:\Code\Vue\WebApiDemo\web
> vue-cli-service serve
 INFO  Starting development server...
 DONE  Compiled successfully in 7551ms                                                                10:51:18 ├F10: PM┤

  App running at:
  - Local:   http://localhost:8080/
  - Network: http://192.168.0.13:8080/

  Note that the development build is not optimized.
  To create a production build, run npm run build.

使用上面的办法解决问题后,过了一天再运行项目时结果又出现了之前的问题

ERROR  Error: @vitejs/plugin-vue requires vue (>=3.2.13) or @vue/compiler-sfc to be present in the dependency tree.
Error: @vitejs/plugin-vue requires vue (>=3.2.13) or @vue/compiler-sfc to be present in the dependency tree.
    at Object.<anonymous> (E:\Code\Vue\WebApiDemo\web\node_modules\vue-loader\dist\compiler.js:14:15)
    at Module._compile (internal/modules/cjs/loader.js:1015:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1035:10)
    at Function.Module._load (internal/modules/cjs/loader.js:724:14)
    at Module.require (internal/modules/cjs/loader.js:903:19)
    at require (internal/modules/cjs/helpers.js:74:18)
    at Object.<anonymous> (E:\Code\Vue\WebApiDemo\web\node_modules\vue-loader\dist\index.js:29:20)
    at Module._compile (internal/modules/cjs/loader.js:1015:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1035:10)
npm ERR! code ELIFECYCLE
npm ERR! [email protected] serve: `vue-cli-service serve`
npm ERR!
npm ERR! Failed at the [email protected] serve script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\wbd\AppData\Roaming\npm-cache\_logs\2023-07-19T03_20_40_140Z-debug.log

但这个时候我的vue版本是3.2.3

  "dependencies": {
    
    "@vue/compiler-sfc": "^3.3.4",
    "core-js": "^3.8.3",
    "vue": "^3.2.3",
    "vue-loader": "^17.2.2"
  }

查了资料 博客发现这可能是node.js的版本太低了
当前node版本

C:\Users\xxx>node -v
v12.19.0

升级node后

C:\Users\xxx>node -v
v18.17.0

再次尝试运行vue项目
PS E:\Code\Vue\WebApiDemo\web> npm run serve

> [email protected] serve
> vue-cli-service serve
 INFO  Starting development server...
 DONE  Compiled successfully in 7023ms                                                                                                    11:30:00
  App running at:
  - Local:   http://localhost:8080/
  - Network: http://192.168.0.13:8080/

问题解决

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/qq_43146253/article/details/131797958

智能推荐

0909期即将上市:游戏引擎启示录_0909引擎第一次测验-程序员宅基地

文章浏览阅读2.9k次。本期封面报道:游戏引擎启示录镜之边缘、生化骑兵、最后的神迹、战争机器等游戏大作是如何制作的?Social Game的背后由什么来支撑?网页游戏引擎的结构是什么样子?零世界最核心的理念是什么?本期特别策划一一为您揭秘。专题布局:(1)UE3/Atlas引擎在实际项目开发中的应用(2)玩家创造世界的网游云计算平台——盛大“零世界”(3)从“开心水族箱”谈起——Flash Social Game_0909引擎第一次测验

Matlab编程技巧:通过脚本获取/修改Simulink模块参数_用matlab编写脚本改变simulink变量-程序员宅基地

文章浏览阅读2w次,点赞36次,收藏203次。在MBD(基于模型的设计)开发中,可能需要反复修改simulink模型。传统的方式是通过在模型中找到相应的模块,然后点进去修改参数。本文介绍一种通过matlab脚本批量获取Simulink模块参数,并修改参数的方法。1 相关函数1.1 Objects = find_system(System,Name,Value)函数功能搜索出符合条件的模块、信号线、端口等输入参数1)..._用matlab编写脚本改变simulink变量

Flutter 打包出错 报Gradle build failed to produce an .apk file. It’s likely that this file was generated_gradle build failed to produce an .apk file. it's -程序员宅基地

文章浏览阅读5.6k次。Gradle build failed to produce an .apk file. It’s likely that this file was generated under D:\codeMaster\huibobo_iphone\huibobo\build, but the tool couldn’t find it.原因:flavor渠道错误,如果在buildle.gradle中声明了渠道,那么在执行flutter run --profile 的时候添加上渠道就好。解决:如图,若渠道是这样_gradle build failed to produce an .apk file. it's likely that this file was

python实现:单期brison业绩归因及示例_brinson归因 python-程序员宅基地

文章浏览阅读2.8k次,点赞2次,收藏28次。一、定义一个组合和基准,收益率和权重情况举例import pandas as pdcln = ['return_bench_i', 'return_portf_i', 'weight_bench_i', 'weight_portf_i']idx = ['cash', 'equity', 'bond', 'commodity']df = pd.DataFrame(index = idx, columns= cln)df['return_bench_i'] = [0, 0.2, 0.01, 0.12_brinson归因 python

面试前端性能优化八股文十问十答第三期

面试必备八股文!内容包含:Java基础、Java框架、Git命令、JVM、多线程、消息队列、微服务、Linux、数据库、Redis缓存、算法、Vue、React、前端性能优化等八股文。

随便推点

防御第六次作业-笔记整理

VPN --- 虚拟专用网 --- 一般指依靠ISP或者其他NSP,也可以是企业自身,提供的一条虚拟网络专线。这个虚拟的专线是逻辑上的,而不是物理上的,所以称为虚拟专用网。VPN诞生的原因:1,物理网络不适用,成本太高,并且如果位置不固定,则无法构建物理专线2,公网安全无法保证VPN的分类:根据建设的单位不同分类:1,企业自建的VPN专线:GRE,IPSEC,SSL VPN,L2TP --- 这种VPN构建成本较低,因为不需要支付专线的费用,仅需要承担购买VPN设备的费用。

Three.js 基础属性

点光源PointLight可以类比为一个发光点,就像生活中一个灯泡以灯泡为中心向四周发射光线。//点光源:两个参数分别表示光源颜色和光照强度// 参数1:0xffffff是纯白光,表示光源颜色// 参数2:1.0,表示光照强度,可以根据需要调整//光照强度点光源辅助观察。

【c语言】字符函数和字符串函数(下)

书接上回【c语言】字符函数和字符串函数(上)上一篇讲解的strcpy、strcat、strcmp函数的字符串长度是不受限制的而本篇strncpy、strncat、strcnmp函数的字符串长度是受限制的逸狼如有错误,欢迎指出~目录前言strncpy函数的使用strncat函数的使用strncmp函数的使用strstr函数的使用和模拟实现strstr函数的使用strstr函数的模拟实现strtok函数的使用一步步解释代码优化strerror函数的使用打印出错误信息使用举例perror函数。

外包干了10个月,技术退步明显.......

整份文档一共有将近 200 页,全部为大家展示出来肯定是不太现实的,为了不影响大家的阅读体验就只展示了部分内容,还望大家海涵,希望能帮助到您面试前的复习且找到一个好的工作,也节省大家在网上搜索资料的时间来学习!

Qt QWidget 简约美观的加载动画 第四季

只有三个文件,可以直接编译运行的。

【深入理解设计模式】适配器设计模式

适配器设计模式是一种结构型设计模式,用于将一个类的接口转换成客户端所期望的另一个接口,从而使得原本由于接口不兼容而不能一起工作的类能够一起工作。

推荐文章

热门文章

相关标签